Commit fbe41df2 authored by njoyard's avatar njoyard Committed by GitHub

Merge pull request #27 from political-memory/fix-deps

Fix deps
parents aa51e307 fecbf4cd
sudo: false
language: python
env:
- DJANGO="django>1.8,<1.9" DJANGO_SETTINGS_MODULE=representatives_votes.tests.settings
- DJANGO_SETTINGS_MODULE=representatives_votes.tests.settings
python:
- "2.7"
before_install:
- pip install codecov
install:
- pip install $DJANGO pep8 flake8 pytest-django pytest-cov codecov django-responsediff==0.4.0 mock
- pip install https://github.com/political-memory/django-representatives/archive/parltrack.tar.gz#egg=django-representatives
- pip install -e .[api]
- pip install -e .[api,testing]
script:
- django-admin migrate
- flake8 representatives_votes/ --exclude migrations --ignore E128
......
......@@ -12,15 +12,26 @@ setup(
license='GPLv3',
keywords='django government parliament votes',
install_requires=[
'django-representatives>=0.0.15',
'py-dateutil',
'pytz',
'ijson',
'django>1.8,<1.9',
'django-representatives>=0.0.23',
'py-dateutil>=2,<3',
'ijson>=2,<3',
'pytz', # Always use up-to-date TZ data
],
extras_require={
'api': [
'django-filter',
'djangorestframework',
'django-filter>=0.13,<0.14',
'djangorestframework>=3,<4',
],
'testing': [
'codecov>=2,<3',
'flake8>=2,<3',
'mock>=2,<3',
'pep8>=1,<2',
'pytest>=2,<3',
'pytest-django>=2,<3',
'pytest-cov>=2,<3',
'django-responsediff>=0.6,<0.7'
]
},
entry_points={
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment